Bug 45866

Summary: continue record exception thrown by TextObject
Product: POI Reporter: Dave Madole <dmadole>
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal CC: H.Uhr
Priority: P2    
Version: 3.2-dev   
Target Milestone: ---   
Hardware: Macintosh   
OS: Mac OS X 10.4   
Attachments: Multi-sheet Excel Workbook with TextObject that seems to break parser

Description Dave Madole 2008-09-23 08:43:49 UTC
Created attachment 22626 [details]
Multi-sheet Excel Workbook with TextObject that seems to break parser

This refers to the thread "Unable to construct record instance: compressByte in continue records must be 1 while reading unicode LE string" on the user mailing list.

Using 3.2 alpha1 0922 build, this file throws an exception when, I
believe, it gets to the big TextObject in the "Home" sheet--although it 
could be the object with the big text, using the XLS2CSVmra 
eventmodel example app.

File was created on a PC, parsing fails on Unbuntu Linux box.

See user list posting with same subject for more details.

Submitted at the request of Nick Burch.

Dave Madole
Comment 1 Holger Uhr 2008-10-09 02:39:13 UTC
I have another excel file that provokes this bug. (Unfortunately, I can't attach it here since it contains confidential data of one of our customers.)
Both the file posted here and my example file also cause problems with the windows  indexing service: The service process apparantly tries to index these files, but never again releases the file handles - once this happens, you can't move or delete these files anymore unless you stop the indexing service. (Both files don't show any problems when you open them in Excel or OpenOffice.org.)
Comment 2 Josh Micich 2008-10-10 18:17:20 UTC
Fixed in svn r703620.

Junit added

The OOO documentation also mentions that the unicode compression can change across Continue records.